import com.LabJack.LabJackJNI;
import com.LabJack.LabJackWrapper;
import com.LabJack.LabJackException;

/**
 * This program show how to read the TTL IO inputs
 * using com.LabJack.LabJackWrapper.ioIn().
 */
public class IoIn
{
	public static void main( String args[] )
	{
		LabJackWrapper lj = new LabJackWrapper( -1 );

		try 
		{
			// display the TTL value on all 4 IO inputs.
			for( int idx = 0; idx < 4; idx++ )
			{
				System.out.println( lj.ioIn( idx ) );
			}
		}
		catch( LabJackException ex )
		{
			ex.printStackTrace();
		}
	}
}
